com.aventstack.extentreports.model

## Class Log

- java.lang.Object
- - com.aventstack.extentreports.model.Log

- All Implemented Interfaces:
    BasicMongoReportElement, RunResult, Serializable

      public class Log
      extends Object
      implements RunResult, Serializable, BasicMongoReportElement

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Log(ExtentTest test)`
    `Log(Test test)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDetails()`
    `ExceptionInfo` | `getExceptionInfo()`
    `Markup` | `getMarkup()`
    `org.bson.types.ObjectId` | `getObjectId()`
    `ExtentTest` | `getParent()`
    `Test` | `getParentModel()`
    `AbstractStructure<ScreenCapture>` | `getScreenCaptureContext()`
    `AbstractStructure<Screencast>` | `getScreencastContext()`
    `int` | `getSequence()`
    `Status` | `getStatus()`
    `String` | `getStepName()`
    `Date` | `getTimestamp()`
    `boolean` | `hasScreenCapture()`
    `boolean` | `hasScreencast()`
    `void` | `setDetails(String details)`
    `void` | `setExceptionInfo(ExceptionInfo exceptionInfo)`
    `void` | `setMarkup(Markup markup)`
    `void` | `setObjectId(org.bson.types.ObjectId id)`
    `void` | `setScreenCapture(ScreenCapture screenCapture)`
    `void` | `setScreencast(Screencast screencast)`
    `void` | `setSequence(int sequence)`
    `void` | `setStatus(Status logStatus)`
    `void` | `setStepName(String stepName)`
    `void` | `setTimestamp(Date timestamp)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Log

          public Log(Test test)

    - #### Log

          public Log(ExtentTest test)

  - ### Method Detail

    - #### getTimestamp

          public Date getTimestamp()

    - #### setTimestamp

          public void setTimestamp(Date timestamp)

    - #### setStatus

          public void setStatus(Status logStatus)

    - #### getStatus

          public Status getStatus()

      Specified by:
        `getStatus` in interface `RunResult`

    - #### setStepName

          public void setStepName(String stepName)

    - #### getStepName

          public String getStepName()

    - #### setDetails

          public void setDetails(String details)

    - #### getDetails

          public String getDetails()

    - #### setMarkup

          public void setMarkup(Markup markup)

    - #### getMarkup

          public Markup getMarkup()

    - #### setSequence

          public void setSequence(int sequence)

    - #### getSequence

          public int getSequence()

    - #### setScreenCapture

          public void setScreenCapture(ScreenCapture screenCapture)

    - #### getScreenCaptureContext

          public AbstractStructure<ScreenCapture> getScreenCaptureContext()

    - #### hasScreenCapture

          public boolean hasScreenCapture()

    - #### setScreencast

          public void setScreencast(Screencast screencast)

    - #### getScreencastContext

          public AbstractStructure<Screencast> getScreencastContext()

    - #### hasScreencast

          public boolean hasScreencast()

    - #### getParent

          public ExtentTest getParent()

    - #### getParentModel

          public Test getParentModel()

    - #### getObjectId

          public org.bson.types.ObjectId getObjectId()

      Specified by:
        `getObjectId` in interface `BasicMongoReportElement`

    - #### setObjectId

          public void setObjectId(org.bson.types.ObjectId id)

      Specified by:
        `setObjectId` in interface `BasicMongoReportElement`

    - #### setExceptionInfo

          public void setExceptionInfo(ExceptionInfo exceptionInfo)

    - #### getExceptionInfo

          public ExceptionInfo getExceptionInfo()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2018. All rights reserved.